Kerbal Space Program - Bug #24950

VAB stage stack will not scroll to accessible position.
03/02/2020 03:49 PM - boolybooly

Status: Investigating Start date: 03/02/2020
Severity: Low % Done: 20%
Assignee: Technicalfool
Category: Controls and Ul
Target version:
Version: 1.9.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground, Core Game, Making

History
Description

If you have a tall staging stack in the VAB (see right side of screeny), it will not scroll down far enough for the top parts to be
accessible because they are hidden behind the launch drop down panel, which is always down and extends lower when multiple
launchpad sites are enabled and blocks access to the staging stack icons. (If you are very careful you can just about catch the right
most pixels to drag and drop stages but you cannot select parts already in stages and this is not as it should be.)

There is really no need for it to stop scrolling where it does.

The expected behaviour would be for the list to scroll far enough down for all parts on the list to be accessible, i.e. top of the list
below the bottom of the launch panel. :)

History

#1 - 03/04/2020 04:55 PM - Technicalfool
- Status changed from New to Investigating
- Assignee set to Technicalfool

- % Done changed from 0 to 20

This is rather odd. The site selection drop-down shouldn't stick like that, which makes me wonder if there's some mod getting in the way, or if
something's broken in the install.

Have you tried this with a purely stock install, and/or verified your install through Steam?

#2 - 03/04/2020 10:19 PM - boolybooly

Yup its odd and getting odder, the launch list was jammed open at the time | made the report but has stopped doing it and now hides itself properly
again!

| should have shut KSP down and restarted and tried to reproduce but didnt because | have found the top of this stack awkward before and had made
a mental note to mention it but didnt realise the drop down jamming was anomalous and assumed it was a version change.

For the record I still think it would be better if the stage stack scrolled down further, because it doesnt leave a gap at the top it does not look like you
can move anything up there. In fact it gets out of the way if you do but its a bit of a tight fit and you end up mousing over the control buttons including
the launch button, inadvertantly.

Also FYI this is unmodded stock install and always has been, reinstalled around v1.8.1. Win7x64.

| did validate a couple of days ago because the client was not closing down properly and it reacquired two files. That was before this report.

| just validated now and it had to reacquire two files once again, which is odd too. But | revalidated afterwards and it was OK for now.

So | guess the drop down jam is non reproducible for the time being, sorry to have bothered you :)

| will keep a look out for reproducible steps if it happens again.
